Index: /branches/2.2/expressoMail1_2/templates/classic/index_offline.tpl
===================================================================
--- /branches/2.2/expressoMail1_2/templates/classic/index_offline.tpl	(revision 1151)
+++ /branches/2.2/expressoMail1_2/templates/classic/index_offline.tpl	(revision 3507)
@@ -20,5 +20,5 @@
 
 								<tr><td id="link_tools" class='content-menu-td' onmouseover='javascript:set_menu_bg(Element("link_tools"));' onmouseout='javascript:unset_menu_bg(this);'><div class='em_div_sidebox_menu'><img height='16px' src='./templates/{template}/images/menu/tools.gif'><span class="em_sidebox_menu">{tools} ...</span></div></td></tr>								
-								<tr><td class='content-menu-td' onclick='expresso_offline_access.do_logoff()' onmouseover='javascript:set_menu_bg(this);' onmouseout='javascript:unset_menu_bg(this);'><div class='em_div_sidebox_menu'><img width='18px' height='18px' src='../phpgwapi/templates/celepar/images/logout.png'><span class="em_sidebox_menu">{logoff}</span></div></td></tr>
+								<tr><td class='content-menu-td' onclick='expresso_offline_access.do_logoff()' onmouseover='javascript:set_menu_bg(this);' onmouseout='javascript:unset_menu_bg(this);'><div class='em_div_sidebox_menu'><img width='18px' height='18px' src='../phpgwapi/templates/default/images/logout.png'><span class="em_sidebox_menu">{logoff}</span></div></td></tr>
 								<tr><td height="3px">&nbsp;</td></tr>								
 							</tbody></table>
Index: /branches/2.2/expressoMail1_2/templates/default/index_offline.tpl
===================================================================
--- /branches/2.2/expressoMail1_2/templates/default/index_offline.tpl	(revision 1964)
+++ /branches/2.2/expressoMail1_2/templates/default/index_offline.tpl	(revision 3507)
@@ -20,5 +20,5 @@
 
 								<tr><td id="link_tools" class='content-menu-td' onmouseover='javascript:set_menu_bg(Element("link_tools"));' onmouseout='javascript:unset_menu_bg(this);'><div class='em_div_sidebox_menu'><img height='16px' src='./templates/{template}/images/menu/tools.gif'><span class="em_sidebox_menu">{tools} ...</span></div></td></tr>								
-								{start_coment_logoff}<tr><td class='content-menu-td' onclick='expresso_offline_access.do_logoff()' onmouseover='javascript:set_menu_bg(this);' onmouseout='javascript:unset_menu_bg(this);'><div class='em_div_sidebox_menu'><img width='18px' height='18px' src='../phpgwapi/templates/celepar/images/logout.png'><span class="em_sidebox_menu">{logoff}</span></div></td></tr>{end_coment_logoff}
+								{start_coment_logoff}<tr><td class='content-menu-td' onclick='expresso_offline_access.do_logoff()' onmouseover='javascript:set_menu_bg(this);' onmouseout='javascript:unset_menu_bg(this);'><div class='em_div_sidebox_menu'><img width='18px' height='18px' src='../phpgwapi/templates/default/images/logout.png'><span class="em_sidebox_menu">{logoff}</span></div></td></tr>{end_coment_logoff}
 								<tr><td height="3px">&nbsp;</td></tr>								
 							</tbody></table>
Index: /branches/2.2/expressoMail1_2/offline.php
===================================================================
--- /branches/2.2/expressoMail1_2/offline.php	(revision 1964)
+++ /branches/2.2/expressoMail1_2/offline.php	(revision 3507)
@@ -175,5 +175,5 @@
 							"js/gears_init.js," .
 							"js/local_messages.js," .
-							"js/messages_proxy.js," .
+							"js/messages_controller.js," .
 					//		"js/rich_text_editor.js," .
 							"js/wfolders.js,".
Index: /branches/2.2/expressoMail1_2/js/manifest
===================================================================
--- /branches/2.2/expressoMail1_2/js/manifest	(revision 1932)
+++ /branches/2.2/expressoMail1_2/js/manifest	(revision 3507)
@@ -4,5 +4,5 @@
 
   // version of the set of resources described in this manifest file
-  "version": "second version",
+  "version": "third version",
 
   // optional
@@ -39,5 +39,5 @@
       { "url": "gears_init.js?1.222" },
 	  { "url": "local_messages.js?1.222" },
-	  { "url": "messages_proxy.js?1.222"},
+	  { "url": "messages_controller.js?1.222"},
 	  { "url": "rich_text_editor.js?1.222"},
 	  { "url": "wfolders.js?1.222"},
@@ -52,8 +52,8 @@
         { "url": "../../phpgwapi/js/jscalendar/lang/calendar-br.js?1.222" },
 
-	  { "url": "../../phpgwapi/templates/celepar/js/cookieManager.js" },
-	  { "url": "../../phpgwapi/templates/celepar/js/simple_show_hide.js" },
-	  { "url": "../../phpgwapi/templates/celepar/js/pngfix.js" },
-	  { "url": "../../phpgwapi/templates/celepar/login.css" },
+	  { "url": "../../phpgwapi/templates/default/js/cookieManager.js" },
+	  { "url": "../../phpgwapi/templates/default/js/simple_show_hide.js" },
+	  { "url": "../../phpgwapi/templates/default/js/pngfix.js" },
+	  { "url": "../../phpgwapi/templates/default/login.css" },
 	  { "url": "../../phpgwapi/templates/default/login.css" },
 
@@ -67,5 +67,5 @@
 	  { "url": "../../phpgwapi/images/winclose.gif" },	
 	  { "url": "../../phpgwapi/images/win_min.gif" },	
-	  { "url": "../../phpgwapi/templates/celepar/images/logout.png" },
+	  { "url": "../../phpgwapi/templates/default/images/logout.png" },
 	  { "url": "../../phpgwapi/templates/default/images/folder_bg.png" },
 	  { "url": "../../phpgwapi/templates/default/images/foldertree_folder.png" },
@@ -84,18 +84,12 @@
 
 
-	  { "url": "../../phpgwapi/templates/celepar/images/favicon.ico" },
-  	  { "url": "../../phpgwapi/templates/celepar/css/celepar.css" },
-  	  { "url": "../../phpgwapi/templates/celepar/images/fundo_topo.gif" },
-  	  { "url": "../../phpgwapi/templates/celepar/images/logo_expresso.png" },
-  	  { "url": "../../phpgwapi/templates/celepar/images/appbox-header-background21.png" },
-  	  { "url": "../../phpgwapi/templates/celepar/images/icon_login.gif" },
-  	  { "url": "../../phpgwapi/templates/celepar/images/logo_expresso_1.gif" },
-  	  { "url": "../../phpgwapi/templates/celepar/images/logo_expresso_2.gif" },
-   	  { "url": "../../phpgwapi/templates/celepar/images/logo_expresso_3.gif" },
-  	  { "url": "../../phpgwapi/templates/celepar/images/logo_expresso_4.gif" },
-  	  { "url": "../../phpgwapi/templates/celepar/images/logo_expresso_5.gif" },
-  	  { "url": "../../phpgwapi/templates/celepar/images/logo_celepar.jpg" },
-  	  { "url": "../../phpgwapi/templates/celepar/images/logo_celepar.gif" },
-  	  { "url": "../../phpgwapi/templates/celepar/images/logo_governo.gif" },
+	  { "url": "../../phpgwapi/templates/default/images/favicon.ico" },
+  	  { "url": "../../phpgwapi/templates/default/css/celepar.css" },
+  	  { "url": "../../phpgwapi/templates/default/images/fundo_topo.gif" },
+  	  { "url": "../../phpgwapi/templates/default/images/logo_expresso.jpg" },
+  	  { "url": "../../phpgwapi/templates/default/images/appbox-header-background21.png" },
+  	  { "url": "../../phpgwapi/templates/default/images/logo_celepar.jpg" },
+  	  { "url": "../../phpgwapi/templates/default/images/logo_celepar.gif" },
+  	  { "url": "../../phpgwapi/templates/default/images/logo_governo.gif" },
   	 
   	  
@@ -199,4 +193,6 @@
   	  { "url": "../templates/default/images/down.gray.button.png" },
   	  { "url": "../templates/default/images/up.gray.button.png" }
+  	  { "url": "../templates/default/images/down.png" }
+  	  
   	  
     ]