Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailMultiplosAnexosTestCase.java
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailMultiplosAnexosTestCase.java	(revision 3523)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailMultiplosAnexosTestCase.java	(revision 3532)
@@ -16,5 +16,6 @@
 	public void testa() throws Exception {
 		super.composeEmail(Valor.EMAIL_TESTE_1.getValue(),
-				Valor.ASSUNTO_MULTIPLOS_ANEXOS.getValue());
+				Valor.ASSUNTO_MULTIPLOS_ANEXOS.getValue(),
+				Valor.TEXTO_EMAIL_MULTIPLOS_ANEXOS.getValue());
 		selenium.click(Campo.ADICIONAR_ANEXO.getValue());
 		selenium.type(Campo.ANEXO_1.getValue(), Valor.ANEXO_1.getValue());
Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailConfirmacaoLeituraTestCase.java
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailConfirmacaoLeituraTestCase.java	(revision 3523)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailConfirmacaoLeituraTestCase.java	(revision 3532)
@@ -16,5 +16,6 @@
 	public void testa() throws Exception {
 		super.composeEmail(Valor.EMAIL_TESTE_1.getValue(),
-				Valor.ASSUNTO_CONFIRMACAO_LEITURA.getValue());
+				Valor.ASSUNTO_CONFIRMACAO_LEITURA.getValue(),
+				Valor.TEXTO_EMAIL_CONFIRMACAO_LEITURA.getValue());
 		selenium.click(Campo.CONFIRMACAO_LEITURA.getValue());
 		super.sendEmail();
Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailAnexoTestCase.java
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailAnexoTestCase.java	(revision 3523)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailAnexoTestCase.java	(revision 3532)
@@ -31,5 +31,6 @@
 	public void testa() throws Exception {
 		super.composeEmail(Valor.EMAIL_TESTE_1.getValue(),
-				Valor.ASSUNTO_ANEXO.getValue());
+				Valor.ASSUNTO_ANEXO.getValue(),
+				Valor.TEXTO_EMAIL_ANEXO.getValue());
 		selenium.click(Campo.ADICIONAR_ANEXO.getValue());
 		selenium.type(Campo.ANEXO_1.getValue(), Valor.ANEXO_1.getValue());
Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailCopiaTestCase.java
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailCopiaTestCase.java	(revision 3523)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailCopiaTestCase.java	(revision 3532)
@@ -16,5 +16,6 @@
 	public void testa() throws Exception {
 		super.composeEmail(Valor.EMAIL_TESTE_1.getValue(),
-				Valor.ASSUNTO_COPIA.getValue());
+				Valor.ASSUNTO_COPIA.getValue(),
+				Valor.TEXTO_EMAIL_COPIA.getValue());
 		selenium.click(Campo.COPIA_1.getValue());
 		selenium.type(Campo.COPIA_CAMPO_1.getValue(),
Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailTestCase.java
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailTestCase.java	(revision 3523)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailTestCase.java	(revision 3532)
@@ -35,5 +35,6 @@
 	public void testa() throws Exception {
 		super.sendEmail(Valor.EMAIL_TESTE_1.getValue(),
-				Valor.ASSUNTO.getValue(), apagarEmail);
+				Valor.ASSUNTO.getValue(), Valor.TEXTO_EMAIL.getValue(),
+				apagarEmail);
 	}
 }
Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailSemAssuntoTestCase.java
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailSemAssuntoTestCase.java	(revision 3523)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailSemAssuntoTestCase.java	(revision 3532)
@@ -17,5 +17,6 @@
 	@Test
 	public void testa() throws Exception {
-		super.composeEmail(Valor.EMAIL_TESTE_1.getValue(), "");
+		super.composeEmail(Valor.EMAIL_TESTE_1.getValue(), "",
+				Valor.TEXTO_EMAIL_SEM_ASSUNTO.getValue());
 		super.sendEmail();
 		assertTrue(selenium.getConfirmation().matches(
Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailImportanteTestCase.java
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailImportanteTestCase.java	(revision 3523)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailImportanteTestCase.java	(revision 3532)
@@ -31,5 +31,6 @@
 	public void testa() throws Exception {
 		super.composeEmail(Valor.EMAIL_TESTE_1.getValue(),
-				Valor.ASSUNTO_IMPORTANTE.getValue());
+				Valor.ASSUNTO_IMPORTANTE.getValue(),
+				Valor.TEXTO_EMAIL_IMPORTANTE.getValue());
 		selenium.click(Campo.IMPORTANTE_CHECKBOX.getValue());
 		super.sendEmail();
Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailMultiplosDestinatariosTestCase.java
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailMultiplosDestinatariosTestCase.java	(revision 3523)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailMultiplosDestinatariosTestCase.java	(revision 3532)
@@ -32,5 +32,7 @@
 	public void testa() throws Exception {
 		super.sendEmail(Valor.EMAIL_TESTE_MULTIPLOS.getValue(),
-				Valor.ASSUNTO_MULTIPLOS_DESTINATARIOS.getValue(), apagarEmail);
+				Valor.ASSUNTO_MULTIPLOS_DESTINATARIOS.getValue(),
+				Valor.TEXTO_EMAIL_MULTIPLOS_DESTINATARIOS.getValue(),
+				apagarEmail);
 	}
 }
Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailCopiaOcultaTestCase.java
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailCopiaOcultaTestCase.java	(revision 3523)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/EnviarEmailCopiaOcultaTestCase.java	(revision 3532)
@@ -16,5 +16,6 @@
 	public void testa() throws Exception {
 		super.composeEmail(Valor.EMAIL_TESTE_1.getValue(),
-				Valor.ASSUNTO_COPIA_OCULTA.getValue());
+				Valor.ASSUNTO_COPIA_OCULTA.getValue(),
+				Valor.TEXTO_EMAIL_COPIA_OCULTA.getValue());
 		selenium.click(Campo.COPIA_OCULTA_1.getValue());
 		selenium.type(Campo.COPIA_OCULTA_CAMPO_1.getValue(),
Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/SalvarEmailTestCase.java
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/SalvarEmailTestCase.java	(revision 3523)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/compor/SalvarEmailTestCase.java	(revision 3532)
@@ -16,5 +16,6 @@
 	public void testaSalvarEmail() throws Exception {
 		super.composeEmail(Valor.EMAIL_TESTE_1.getValue(),
-				Valor.ASSUNTO_SALVAR.getValue());
+				Valor.ASSUNTO_SALVAR.getValue(),
+				Valor.TEXTO_EMAIL_SALVO.getValue());
 		selenium.click(Campo.SALVAR.getValue());
 		super.waitForElement(Campo.MENSAGEM.getValue());