Index: branches/2.2/mobile/templates/default/cc_main.tpl
===================================================================
--- branches/2.2/mobile/templates/default/cc_main.tpl	(revision 3460)
+++ branches/2.2/mobile/templates/default/cc_main.tpl	(revision 3571)
@@ -55,5 +55,5 @@
 <form id="cc_form" name="cc_form" method="POST" action="{form_action}">
 	<tr bgcolor="{tr_color}">
-		<td><a href="{form_action}&input_to={row_nome}&input_to_mail={row_email}&cc_mob=1">{row_nome}</a></td>
+		<td><a href="{form_action}&input_to={row_nome}&input_to_mail={row_email}&type=cc_mob">{row_nome}</a></td>
 		<td align="center">{row_telefone}</td>
 		<td align="center">{row_mobile}</td>
Index: branches/2.2/mobile/templates/default/new_msg.tpl
===================================================================
--- branches/2.2/mobile/templates/default/new_msg.tpl	(revision 3454)
+++ branches/2.2/mobile/templates/default/new_msg.tpl	(revision 3571)
@@ -1,32 +1,45 @@
-<!-- BEGIN begin_form -->
-<h1>Novo email</h1>
-<hr />
-<form id="reply_form" method="POST" action="{form_action}">
-<!-- END begin_form -->
+<!-- BEGIN page -->
+<div class="menu-contexto">
+	<span><a href="javascript:history.back()">{lang_back}</a></span> <span class="titulo-secao">{action_msg}</span>
+</div>
 
-<!-- BEGIN msg_header -->
-<p><label for="input_to"><strong>{to_label}</strong>:</label> </p>
-<p><input type="text" size="30" id="input_to" name="input_to" value='{to}' "{read_only}" /></p>
-{field_add_user}
-<p><label for="input_subject"><strong>{subject_label}</strong>:</label> </p>
-<p><input type="text" size="30" id="input_subject" name="input_subject" value='{subject}' /></p>
-<!-- END msg_header -->
+<form method="POST" action="index.php?menuaction=mobile.ui_mobilemail.send_mail" id="mail_form">
+	<input type="hidden" id="input_to_mail" name="input_to_mail" value='{to_mail}' />
+	<input type="hidden" id="input_cc_mail" name="input_cc_mail" value='{cc_mail}' />
+	<input type="hidden" id="reply_from" name="reply_from" value='{from}' />
+	<input type="hidden" id="reply_msg_number" name="reply_msg_number" value='{msg_number}' />
+	<input type="hidden" id="folder" name="folder" value='{msg_folder}' />
+	<input type="hidden" name="type" value='{type}' />
+	
+	<div class="campos-correspondencia">
+		<div class="posiciona-esquerda">
+			<p><strong><label>{lang_to}</label></strong> <input id="input_to" name="input_to" value='{to}' "{read_only}"></p>
+			<p><strong><label>{lang_cc}</label></strong> <input id="input_cc" name="input_cc" value='{cc}' "{read_only}"></p>
+			<p><strong><label>{lang_subject}</label></strong> <input id="input_subject" name="input_subject" value='{subject}'></p>
+		</div>
+		
+		<div class="posiciona-esquerda">
+			{add_recipient_box}
+			<!--<p><button name="anexo" title="Anexar" class="btn-contexto">{lang_attachment}</button></p>-->
+		</div>
+	</div>
+				
+	<div id="corpo_mensagem">
+		<textarea id="body" wrap="virtual" name="body" cols="20" rows="10">{body_value}</textarea>
+		<p><input type="checkbox" name="check_important" {check_important} />{lang_mark_as_important}</p>
+		<p><input type="checkbox" name="check_read_confirmation" {check_read_confirmation} />{lang_read_confirmation}</p>
+		<p><input type="checkbox" name="check_add_history" {check_add_history} />{lang_add_history}</p>
+	</div>
+	
+	<div id="operacao_lista">
+		<a href="index.php?menuaction=mobile.ui_home.index"><button id="cancel" class="btn-generico" >{lang_cancel}</button></a>
+		<button id="save_draft" class="btn-generico" onclick="document.getElementById('mail_form').action='index.php?menuaction=mobile.ui_mobilemail.save_draft';document.getElementById('mail_form').submit()" >{lang_save_draft}</button></a>
+		<input type="submit" name="action" id="reply_send" value="{lang_send}" class="btn-generico"/>	
+	</div>
 
-<!-- BEGIN text -->
-<p><label for="body"><strong>Mensagem:</strong></label></p> 
-<p><textarea id="body" wrap="virtual" rows="8" name="body">{body_value}</textarea></p>
-<br />
-
-<p><input type="submit" name="action" id="reply_send" value="{send_label}" /></p>
-<!-- END text -->
-
-<!-- BEGIN hidden_area -->
-<p><input type="hidden" size="30" id="input_to_mail" name="input_to_mail" value='{to_mail}' /></p>
-<p><input type="hidden" size="30" id="reply_from" name="reply_from" value='{from}' /></p>
-<p><input type="hidden" size="30" id="reply_msg_number" name="reply_msg_number" value='{msg_number}' /></p>
-<p><input type="hidden" size="30" id="folder" name="folder" value='{msg_folder}' /></p>
-<!-- END hidden_area -->
-
-<!-- BEGIN end_form -->
 </form>
-<!-- END end_form -->
+<!-- END page -->
+<!-- BEGIN add_recipient_block -->
+<p><button name="action" title="Ver agenda" class="btn-contexto">{lang_calendar}</button></p>
+<p></p>
+<!-- END add_recipient_block -->
Index: branches/2.2/mobile/templates/default/login.tpl
===================================================================
--- branches/2.2/mobile/templates/default/login.tpl	(revision 3564)
+++ branches/2.2/mobile/templates/default/login.tpl	(revision 3571)
@@ -22,9 +22,7 @@
 					<input type="hidden" name="passwd_type" value="text">
 					<input type="hidden" name="account type" value="u">
-					<p><strong>{lang_username}:&nbsp</strong></p> 
-					<p><input name="login"></p>
+					<p><strong><label>{lang_username}:&nbsp</label></strong> <input name="login"></p>
 					<script>document.form_login.login.focus();</script>
-					<p><strong>{lang_password}:&nbsp</strong></p> 
-					<p><input name="passwd" type="password" autocomplete=off></p>
+					<p><strong><label>{lang_password}:&nbsp</label></strong> <input name="passwd" type="password" autocomplete=off></p>
 					<p><button name="submitit" class="btn-contexto">{lang_login}</button></p>
 				</form>
@@ -47,5 +45,5 @@
 <div class="bg-neutro">
 	<div class="aviso-positivo">
-		<strong>{cd}{lang_message}</strong>
+		<strong>{message}</strong>
 	</div>
 </div>
@@ -54,5 +52,5 @@
 <div class="bg-neutro">
 	<div class="aviso-negativo">
-		<strong>{cd}{lang_message}</strong>
+		<strong>{message}</strong>
 	</div>
 </div>
Index: branches/2.2/mobile/templates/default/add_participants.tpl
===================================================================
--- branches/2.2/mobile/templates/default/add_participants.tpl	(revision 1499)
+++ branches/2.2/mobile/templates/default/add_participants.tpl	(revision 3571)
@@ -71,5 +71,5 @@
 		<input type="hidden" id="input_subject" name="input_subject" value="" style="display: none;"/>
 		<input type="hidden" id="body" name="body" value="" style="display: none;"/>
-		<input type="hidden" id="cc_mob" name="cc_mob" value="1" style="display: none;"/>
+		<input type="hidden" id="type" name="type" value="cc_mob" style="display: none;"/>
 </form>	
 <!-- END row -->
Index: branches/2.2/mobile/templates/default/template.tpl
===================================================================
--- branches/2.2/mobile/templates/default/template.tpl	(revision 3564)
+++ branches/2.2/mobile/templates/default/template.tpl	(revision 3571)
@@ -15,4 +15,5 @@
 		</div>
 
+		{message_box}		
 		<!-- BEGIN mobile_home_content -->
 		{content}<br>{footer}
@@ -29,2 +30,16 @@
 		
 <!-- END mobile_home -->
+<!-- BEGIN success_message -->
+<div class="bg-neutro">
+	<div class="aviso-positivo">
+		<strong>{message}</strong>
+	</div>
+</div>
+<!-- END success_message -->
+<!-- BEGIN error_message -->
+<div class="bg-neutro">
+	<div class="aviso-negativo">
+		<strong>{message}</strong>
+	</div>
+</div>
+<!-- END error_message -->
Index: branches/2.2/mobile/templates/default/add_recipients.tpl
===================================================================
--- branches/2.2/mobile/templates/default/add_recipients.tpl	(revision 1474)
+++ branches/2.2/mobile/templates/default/add_recipients.tpl	(revision 3571)
@@ -62,9 +62,10 @@
 
 	</tr>
-		<input type="hidden" id="input_to" name="input_to" value="{row_nome}" style="display: none;"/>
-		<input type="hidden" id="input_to_mail" name="input_to_mail" value="{row_email}" style="display: none;"/>
-		<input type="hidden" id="input_subject" name="input_subject" value="" style="display: none;"/>
-		<input type="hidden" id="body" name="body" value="" style="display: none;"/>
-		<input type="hidden" id="cc_mob" name="cc_mob" value="1" style="display: none;"/>
+	
+	<input type="hidden" id="input_to" name="input_to" value="{row_nome}" style="display: none;"/>
+	<input type="hidden" id="input_to_mail" name="input_to_mail" value="{row_email}" style="display: none;"/>
+	<input type="hidden" id="input_subject" name="input_subject" value="" style="display: none;"/>
+	<input type="hidden" id="body" name="body" value="" style="display: none;"/>
+	<input type="hidden" id="type" name="type" value="cc_mob" style="display: none;"/>
 </form>	
 <!-- END row -->
Index: branches/2.2/mobile/templates/default/home_index.tpl
===================================================================
--- branches/2.2/mobile/templates/default/home_index.tpl	(revision 3564)
+++ branches/2.2/mobile/templates/default/home_index.tpl	(revision 3571)
@@ -1,20 +1,26 @@
 <!-- BEGIN page -->
-<div class="busca"> <input name="palavra_chave"> <button id="buscar" class="btn-generico" >{lang_search}</button></div>
-
-<div class="menu-contexto">
-	{lang_new_mail}:
-	<button name="email" class="btn-contexto">{lang_context_email}</button>
-	<button name="contato" class="btn-contexto">{lang_context_contact}</button>
-	<button name="compromisso" class="btn-contexto">{lang_context_commitment}</button>
-</div>
-
-<dl id="lista_miolo">
-	<dt><input type="checkbox" name="check_default_folders"></input>{lang_my_mail} | <span class="rotulo-complementar">Usados {quota_percent}% [{quota_used}/{quota_limit}]</span></dt>
-		{default_folders_box}
-	<dt><input type="checkbox" name="check_commitments">{lang_my_commitments}</dt>
-		{commitments_box}
-	<dt><input type="checkbox" name="check_personal_folders"><a href="index.php?menuaction=mobile.ui_home.index&expand_folders={expand_folders}">{lang_my_folders}</a></dt>
-		{personal_folders_box}
-</dl>
+<form method="post" action="index.php?menuaction=mobile.ui_home.search">
+	<div class="busca"> 
+		<input type="text" name="name" id="name" />
+		<input type="submit" id="buscar" class="btn-generico" value="{lang_search}" />
+	</div>
+	
+	<div class="menu-contexto">
+		{lang_new_mail}:
+		<a href="index.php?menuaction=mobile.ui_mobilemail.new_msg&type=clk" style="text-decoration:none;"><button name="email" class="btn-contexto">{lang_context_email}</button></a>
+		<button name="contato" class="btn-contexto">{lang_context_contact}</button>
+		<button name="compromisso" class="btn-contexto">{lang_context_commitment}</button>
+	</div>
+	
+	<dl id="lista_miolo">
+		<dt><input type="checkbox" name="default_folders"></input>{lang_my_mail} | <span class="rotulo-complementar">Usados {quota_percent}% [{quota_used}/{quota_limit}]</span></dt>
+			{default_folders_box}
+    <dt><input type="checkbox" name="personal_folders"><a href="index.php?menuaction=mobile.ui_home.index&expand_folders={expand_folders}">{lang_my_folders}</a></dt>
+      {personal_folders_box}			
+		<dt><input type="checkbox" name="calendar_search">{lang_my_commitments}</dt>
+			{commitments_box}
+    <dt><input type="checkbox" name="contacts_search">{lang_my_contacts}</dt>			
+	</dl>
+</form>
 
 <!-- END page -->